# class OpenDBRequest

#### package js.html.idb

#### extends Request › EventTarget

Available on HTML5

No methods, but inherits methods from its parents `IDBRequest` and `EventTarget`.

Documentation IDBOpenDBRequest by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/IDBOpenDBRequest

### Variables

###

`onblocked:Function`

The event handler for the blocked event. This event is triggered when the `upgradeneeded` event should be triggered because of a version change but the database is still in use (i.e. not closed) somewhere, even after the `versionchange` event was sent.

###

`onupgradeneeded:Function`

The event handler for the `upgradeneeded` event, fired when a database of a bigger version number than the existing stored database is loaded.

### Inherited Variables

#### Defined by Request

###

`read onlyerror:DOMError`

Returns an error in the event of an unsuccessful request, indicating what went wrong.

###

`onerror:Function`

The event handler for the error event.

###

`onsuccess:Function`

The event handler for the success event.

###

`read onlyreadyState:RequestReadyState`

The state of the request. Every request starts in the `pending` state. The state changes to `done` when the request completes successfully or when an error occurs.

###

`read onlyresult:Dynamic`

Returns the result of the request. If the the request failed and the result is not available, an InvalidStateError exception is thrown.

###

`read onlysource:EitherType<ObjectStore, EitherType<Index, Cursor>>`

The source of the request, such as an `IDBIndex` or an `IDBObjectStore`. If no source exists (such as when calling `IDBFactory.open`), it returns null.

###

`read onlytransaction:Transaction`

The transaction for the request. This property can be null for certain requests, for example those returned from `IDBFactory.open` unless an upgrade is needed. (You're just connecting to a database, so there is no transaction to return).

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError